package be.iminds.ilabt.jfed.ui.javafx.userlogin;/**
 * User: twalcari
 * Date: 11/28/2014
 * Time: 16:51
 */

import be.iminds.ilabt.jfed.ApplicationParametersModule;
import be.iminds.ilabt.jfed.BaseGuiModule;
import be.iminds.ilabt.jfed.highlevel.HighLevelModule;
import be.iminds.ilabt.jfed.highlevel.LowLevelModule;
import be.iminds.ilabt.jfed.highlevel.UserLoginModelModule;
import com.cathive.fx.guice.GuiceApplication;
import com.google.inject.Module;
import javafx.stage.Stage;

import javax.inject.Inject;
import java.util.Collections;
import java.util.List;

public class UserLoginControllerTest extends GuiceApplication {

   @Inject
    private UserLoginFactory userLoginFactory;

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) {
        userLoginFactory.showUserLogin(false, null, null);

    }

    @Override
    public void init(List<Module> modules) throws Exception {
        modules.add(new HighLevelModule());
        modules.add(new LowLevelModule());
        modules.add(new UserLoginModelModule());
        modules.add(new BaseGuiModule());
    }
}
